Bug 1123847 - Typo in the service type that breaks salt-master start
Summary: Typo in the service type that breaks salt-master start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: salt
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Erik Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 13:00 UTC by Michal Fojtik
Modified: 2014-10-28 06:33 UTC (History)
3 users (show)

Fixed In Version: salt-2014.1.13-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-28 06:33:51 UTC


Attachments (Terms of Use)

Description Michal Fojtik 2014-07-28 13:00:54 UTC
Description of problem:

 ~/sandbox/salt → cat salt-master.service 
[Unit]
Description=The Salt Master Server
After=syslog.target network.target

[Service]
Type=Notify # <==== This should be lowercase 'notify'
ExecStart=/usr/bin/salt-master

[Install]
WantedBy=multi-user.target

Version-Release number of selected component (if applicable):

salt-2014.1.7-3.fc20

Comment 1 Michal Fojtik 2014-07-28 13:52:11 UTC
Additional issue:

I don't think the 'notify' actually works properly for salt:

Jul 28 13:46:59 kubernetes-master systemd[1]: salt-master.service operation timed out. Terminating.
Jul 28 13:46:59 kubernetes-master salt-master[16409]: [WARNING ] Caught signal 15, stopping the Salt Master
Jul 28 13:46:59 kubernetes-master salt-master[16409]: [WARNING ] Caught signal 15, stopping the Salt Master
Jul 28 13:46:59 kubernetes-master salt-master[16409]: [WARNING ] Caught signal 15, stopping the Salt Master
Jul 28 13:46:59 kubernetes-master salt-master[16409]: [WARNING ] Caught signal 15, stopping the Salt Master
Jul 28 13:46:59 kubernetes-master salt-master[16409]: [WARNING ] Caught signal 15, stopping the Salt Master
Jul 28 13:46:59 kubernetes-master salt-master[16409]: [WARNING ] Caught signal 15, stopping the Salt Master
Jul 28 13:46:59 kubernetes-master systemd[1]: Failed to start The Salt Master Server.
Jul 28 13:46:59 kubernetes-master systemd[1]: Unit salt-master.service entered failed state

Comment 2 Clint Savage 2014-07-28 16:09:43 UTC
I don't package much anymore, Erik is a better choice.

Thanks!

Comment 3 Erik Johnson 2014-07-28 16:19:43 UTC
This is already fixed upstream. We are preparing a bugfix release that will be released sometime this week, and it will contain the fix.

Comment 4 Erik Johnson 2014-07-28 16:53:43 UTC
For clarity, the fix is twofold. The first part is fixing the unit file, the second part is adding a dependency on python-systemd. The systemd notify support was initially developed on Arch Linux, which distributes the python bindings in the main package. Thus the lack of a dependency on python-systemd in the SPEC for epel7, f20, and f19.

In the meantime, Michal, if you install python-systemd and update the salt-master unit file, this should get you working again.

Comment 5 Erik Johnson 2014-07-28 17:57:07 UTC
It looks like the package is actually called systemd-python.

Comment 6 Fedora Update System 2014-08-04 21:06:45 UTC
salt-2014.1.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/salt-2014.1.10-1.fc20

Comment 7 Fedora Update System 2014-08-06 02:45:35 UTC
salt-2014.1.10-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/salt-2014.1.10-2.fc20

Comment 8 Fedora Update System 2014-08-07 15:34:29 UTC
Package salt-2014.1.10-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing salt-2014.1.10-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9230/salt-2014.1.10-2.fc20
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-08-10 06:30:10 UTC
salt-2014.1.10-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/salt-2014.1.10-4.fc20

Comment 10 Fedora Update System 2014-09-29 22:54:48 UTC
salt-2014.1.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/salt-2014.1.11-1.fc20

Comment 11 Fedora Update System 2014-10-17 15:08:06 UTC
salt-2014.1.13-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/salt-2014.1.13-1.fc20

Comment 12 Fedora Update System 2014-10-28 06:33:51 UTC
salt-2014.1.13-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.